catalog:
  title: Darknet Neural Network Framework

templates:
- github
- make
- base

variables:
  description: Darknet is an open source neural network framework written in C and
    CUDA. It is fast, easy to install, and supports CPU and GPU computation
  keywords:
  - neural net
  - cuda
  - yolo
  - robotics

  github.user: pjreddie
  github.project: darknet

  branches:
  - master

  extra-requires:
  - nature: freestyle
    target: cuda
  extra-provides:
  - nature: freestyle
    target: spjreddie_darknet

  platform-requires:
    ubuntu:
      packages:
      - sed
      - gcc
      - g++
      - '@{next-value|[]}'

  pre-build-hook/unix: |
    sed -i 's|GPU=0|GPU=1|g' Makefile;
    sed -i 's|/usr/local/cuda/include|${toolkit.dir}/include/|g' Makefile;
    sed -i 's|/usr/local/cuda/lib64|${toolkit.dir}/lib64/|g' Makefile;

  make.install.command: |
    mkdir -p "${toolkit.dir}/bin"
    cp darknet "${toolkit.dir}/bin/"

  environment.exports:
  - PATH=${toolkit.dir}/bin:$PATH;
  - '@{next-value|[]}'
